Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 448458 (postal) - Review Request: postal - mail server benchmark
Summary: Review Request: postal - mail server benchmark
Keywords:
Status: CLOSED DUPLICATE of bug 500082
Alias: postal
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-27 02:37 UTC by Russell Coker
Modified: 2009-10-02 08:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-10 17:41:31 UTC


Attachments (Terms of Use)
Postal Build Fail LOG (deleted)
2008-06-06 17:40 UTC, Hemant Goyal
no flags Details

Description Russell Coker 2008-05-27 02:37:03 UTC
Spec URL: http://www.coker.com.au/rpm/postal.spec
SRPM URL: http://www.coker.com.au/rpm/postal-0.70-2.src.rpm
Description: The Postal suite consists of an SMTP delivery benchmark (postal), a POP retrieval benchmark (rabid) and a SMTP sink (bhm).  It is designed to test mail servers and mail forwarding systems.

This is my first package and I need a sponsor.

Comment 1 Hemant Goyal 2008-06-06 17:40:21 UTC
Hi Russell,

I am only performing a pre-review (not formal) of your packaging request. I am
not entitled to sponsor you, however someone else will in due time.

1] There seems to be a version inconsistency. The hyperlink for the source
version 0.70 leads to source version 0.69. Kindly check with upstream.

I have changed the version to 0.69 for further testing.

2] The RPM package fails to build due to a build error during compilation of the
program (please take a look at the log file attached)

Instead of

---------------------------------------
%configure --prefix=${RPM_BUILD_ROOT}
---------------------------------------
It is preferable to use

--------------------------------------
%configure --disable-static
--------------------------------------

3]Kindly avoid using hardcoded paths for %files section. Use macros as much as
possible. They are defined here : http://fedoraproject.org/wiki/Packaging/RPMMacros

Example:
/usr/sbin/rabid will become %{_sbindir}/rabid and so on

4] Kindly include the %dist tag with your release number as :
Release:        2%{?dist} for your future releases.

Thanks

Comment 2 Hemant Goyal 2008-06-06 17:40:59 UTC
Created attachment 308552 [details]
Postal Build Fail LOG

Comment 3 David Nalley 2009-04-24 20:56:24 UTC
This package review has been sitting idle for 10 months plus now. 

My preference is that the original packager would pick this up and continue it, however failing that one week from now I'll mark this as a dead review and close the ticket, and likely work on getting it packaged and reviewed. 


https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Russell: 

Please pick this review back up if you are interested in maintaining it within Fedora. 


Thanks

Comment 4 David Nalley 2009-05-10 17:41:31 UTC
It's been a couple weeks - and no response. 
I'll start working on repackaging this shortly. 

Closing notabug and blocking FE-DEADREVIEW per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Comment 5 Susi Lehtola 2009-05-22 17:02:30 UTC

*** This bug has been marked as a duplicate of bug 500082 ***


Note You need to log in before you can comment on or make changes to this bug.